function animate (state)
% ANIMATE animate current graph
%  ANIMATE ON turns on the animation feature of mat3d.  All
%  subsequent translation or rotational movements on an 
%  object will be divided into 5 continuous increments with 
%  each increment equals 1/5 of the specified rotation
%  or translation amount.
%  ANIMATE OFF turns off the animation feature if it is 
%  previously turned on.
%
%  Algorithm note:
%  In the even that collision detection
%  feature is turn on, the the rotation or translation will 
%  stop at the increment collision is detected and NOT complete
%  the specified rotation and translation amount.
%
%  See also MAT3D, M3ROTATE, M3TRANS, DETECTCONTACT

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

global animate;

if nargin == 0
   disp ('please specify animate "on" or "off".');
else
   if strcmp(state, 'on')
      animate = 1;      
   elseif strcmp (state, 'off')
      animate = 0;
   else
      disp ('error: please specify either ''on'' or ''off''.');
   end
end
