/*
 *--------------------------------------------------------------------------
 * Copyright Notice:
 *
 * Copyright 1996, 1997, 1998, 1999, 2000 The Regents of the University of 
 * California.  All Rights Reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for educational, research and non-profit purposes, without
 * fee, and without a written agreement is hereby granted, provided that the 
 * above copyright notice and the following three paragraphs appear in all 
 * copies.
 *
 * Permission to incorporate this software into commercial products may be
 * obtained from the Office of Intellectual Property Administration, Pete 
 * Ueberoth Building, UCLA, Los Angeles, CA 90095-1594.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING
 * LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION,
 * EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGES.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATIONS
 * TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 * 
 *--------------------------------------------------------------------------
 */
/*
   cif2mat2.h
*/

/**********************************************************/
#define MAXPTS 500
#define GDS 1
#define CIF 2
#define EPS 3
#define TRUE 1
#define FALSE 0
/**********************************************************/

#define FPOS  __FILE__,__LINE__
#define OUTPUTTO tofile?out:stdout

#define ABS(a)   (((a)>(0)) ? (a) : (-a))
#define MIN(a,b) (((a)<(b)) ? (a) : (b))
#define MAX(a,b) (((a)>(b)) ? (a) : (b))

#define TMPFILE1            "tmpdata1.file"
#define TMPFILE2            "tmpdata2.file"
#define PREMASONFILE        "premason.file"
#define POSTMASONFILE       "postmason.file"
#define MINIMIZEDMASONFILE  "minimizedm.file"

#ifdef CIF2MAT_DEBUF
#undef CIF2MAT_DEBUG
#endif

struct Point
{
  float x,y,z;
} point[MAXPTS];

int points;

//Variables for keeping track of cell names
struct CELL {
  char name[100];
  int number;
} cell[100];

#ifndef CIF2MAT_MAIN
#define WHERE extern
#else
#define WHERE
#endif

WHERE char *ProgramName;
WHERE char outfilename[80];
WHERE char infilename[80];
WHERE int  printsummary;
WHERE int  doresequence;
WHERE int  dolinkage;
WHERE int  tofile;
WHERE FILE *in, *out;

