function detectcontact (state)
% DETECTCONTACT
%  DETECTCONTACT ON turns the mat3d collision detection mode on.  Subsequent
%  rotational and transitional movements by structures will test whether the 
%  structures in movemnt is in contact with other structures.
%  DETECTCONTACT OFF turns the collision detection mode off.
%
%  For example,
%    DETECTCONTACT ON
%
%  See also MAT3D, SEL, M3ROTATE, M3TRANS

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

global detectcontact;

if nargin == 0
   disp ('please specify detectcontact "on" or "off".');
else
   if strcmp(state, 'on')
      detectcontact = 1;      
   elseif strcmp (state, 'off')
      detectcontact = 0;
   else
      disp ('error: please specify either ''on'' or ''off''.');
   end
end

