function hilite (state)
% HILITE
%  HILITE ON turns the high-light mode on.  If a selected structure exists
%  prior to issue of this command, the structure is high-lighted.  All the
%  structrures selected by SEL() command will be high-lighted as well.
%  HILITE OFF turns the high-light mode off.
%
%  For example,
%    HILITE ON
%
%  See also MAT3D, SEL

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

if nargin < 1, error('Hilite accepts only one input.'); end

global dohilite;
global selectedObj;

if nargin == 0
   disp ('error: please specify hilite ''on'' or ''off''.');
else
   if strcmp(state, 'on')
      dohilite = 1;
      if (selectedObj == 0)
         disp('info: nothting selected currently.');
      else
         hiliteObject(selectedObj);
      end
      
   elseif strcmp (state, 'off')
      dohilite = 0;
      unhilite;
   else
      disp ('error: please specify either ''on'' or ''off''.');
   end
   
end
