function hiliteObject(n)
% HILITEOBJECT 
%  HILITEOBJECT is an internal rountine of mat3d for high-lighting a structure.
%  The data strucures used in hiliteObject is setup in the main script
%  mat3d.
%
%  See also MAT3D, HILITE, SEL

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

if nargin < 1, error('hiliteObject accepts only one input.'); end

global hilitedObj;
global numstruct;
global istruct
global ibox;
global colors;

docolor = 1;

if n > numstruct   
   disp ('no such structure.');
   docolor = 0; 
elseif n == hilitedObj
   disp ('object already hilited.');
   docolor = 0;
elseif n ~= hilitedObj 
   if hilitedObj ~= 0
      unhilite;
   end
end

if docolor
   tmp = istruct(n);

   
   for j=tmp.firstbox:tmp.lastbox
      ibox(j).saveFaceColor = get( ibox(j).hdl,'FaceColor');

      set(ibox(j).hdl, 'FaceColor', colors.green);
   end 
   hilitedObj = n;
end
