function raytracing (a, b)
% RAYTRACING if raysource is already specified, 'raytracing on' 
%  initiates drawing of the ray.  
%
%  format: raytracing <on|off> 
%  example: raytracing on 
%
%  See also MAT3D, RAYSOURCE

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

%
% mat3d.m
% nanping@icsl.ucla.edu
%

global raytracing;
global ray;
global numray;

%disp ('raytracing feature not yet implemented...');

if nargin == 1
   state  = a;
   rayidx = 0;
   
elseif nargin == 2
   rayidx = a;
   state  = b;
   if  rayidx <= 0 
      disp('M3D error: index must be greater than 0');
      return;
   end
   
else
   disp ('M3D error: please specify either ''on'' or ''off''.');
   return;
end

if strcmp(state, 'on')
   raytracing = 1;
   
elseif strcmp (state, 'off')
   raytracing = 0;
else
   disp ('M3D error: please specify either ''on'' or ''off''.');
   return;
end


if numray == 0
   disp ('M3D: ray source not specified.');
else
   if rayidx == 0
      for k = 1:numray
         ray(k).trace = raytracing;
      end
   else
      ray(rayidx).trace = raytracing;   
   end
   
   raypathupdate;
end
