function sel(n)
% SEL select the specified structure for manipulation.
%
%  format: sel (structure-id-to-be-selected) 
%  example: sel (1) 
%
%  See also MAT3D, M3ROTATE, M3TRANS, DETECTCONTACT

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

if nargin < 1, error('sel accepts only one input.'); end

global selectedObj;
global numstruct;
global istruct;
global dohilite;


if n > numstruct
   disp ('no such structure (the syntax is ''sel(n)'', with parenthsis).');   
else
   if selectedObj == n
      disp ('object already selected!');
   else
      
      selectedObj = n;
      
      if dohilite
         hiliteObject(n);
      end
      
      if istruct(n).anchored == 1
         disp ('info: selected object is anchored.');   
      end
   end
end