function [rotdir, pivpt] = showpivot()
% SHOWPIVOT shows the rotation direction and the pivot point of 
%  the structure selected.
%
%  format: showpivot 
%  example: [rotdir pivpt]=showpivot  
%
%  See also MAT3D, SEL, SETPIVOT, M3ROTATE, M3TRANS

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu


global istruct;
global m3debug;
global selectedObj;

if (nargin > 0)
   error('M3D: incorrect number of inputs.');
end

if (selectedObj == 0)
   disp ('M3D: no object currently selected.');
   return;
end

n = selectedObj;

axis   = istruct(n).rotatedir;
xpts = get (istruct(n).dirhdl, 'XData');
ypts = get (istruct(n).dirhdl, 'YData');
zpts = get (istruct(n).dirhdl, 'ZData');

pivpt  = [xpts(1) ypts(1) zpts(1)];
rotdir = [xpts(2)-xpts(1) ypts(2)-ypts(1) zpts(2)-zpts(1)];

return;
