function showreflectors (state)
% SHOWREFLECTORS make all currently defined reflectors in the plot visible.
%
%  format: showreflectors
%
%  example: showreflectors
%
%  Note: since reflector are initially defined to be located within strucures,
%  it will be necessary to make structures invisible in order to see 
%  the reflecting geometries.
%
%  See also MAT3D, SEL, SHOWSTRUCTURES, RAYTRACING, RAYSOURCE

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

global numreflector;
global ireflector;

if (nargin ~= 1)
   error('M3D: incorrect number of inputs.');
end

if strcmp(state, 'on')
   onoff ='on';
else
   onoff='off';
end   


for k=1:numreflector
   set (ireflector(k).hdl, 'visible', onoff );  
end