function unhilite
% UNHILITE if an structure is currently high-lighted, this command
%  turns high-light off. The end result is no structure is 
%  high-lighted. 
%
%  format: unhilite 
%  example: unhilite 
%
%  See also MAT3D, HILITE, SEL

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu


if nargin < 0, error('Unhilite take no input.'); end

global hilitedObj;
global istruct;
global ibox;

n=hilitedObj;

if hilitedObj > 0
  %eval(['global struct' int2str(n)]);
  %eval(['tmp=struct' int2str(n) ';']);
  
  tmp = istruct(n);
  
  for j=tmp.firstbox:tmp.lastbox
    %eval(['global saveFaceColor' int2str(j)]);
    %eval(['global hdl' int2str(j)]);
    %eval(['set(hdl' int2str(j) ', ''FaceColor'',saveFaceColor' int2str(j) ');']);
    set (ibox(j).hdl, 'FaceColor', ibox(j).saveFaceColor);
  end

  hilitedObj = 0;
else
   disp ('nothing high-lighted currently.');
end